# Class Slf4jAuditLogger

java.lang.Object
org.apache.zookeeper.audit.Slf4jAuditLogger

All Implemented Interfaces:
  `AuditLogger`

public class Slf4jAuditLogger extends Object implements AuditLogger
Slf4j based audit logger

## Constructor Summary

Constructors
Constructor
Description
`Slf4jAuditLogger()`

## Method Summary

Modifier and Type
Method
Description
`void`
`logAuditEvent(AuditEvent auditEvent)`
Called to log an audit event.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface AuditLogger

`initialize`

## Constructor Details

### Slf4jAuditLogger

public Slf4jAuditLogger()

## Method Details

### logAuditEvent

public void logAuditEvent(AuditEvent auditEvent)
Description copied from interface: `AuditLogger`
Called to log an audit event.

Specified by:
  `logAuditEvent` in interface `AuditLogger`
Parameters:
  `auditEvent` - contains all the fields to be logged